Bug 187175 - gnome calculator can't seal with complex numbers
Summary: gnome calculator can't seal with complex numbers
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-utils   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-28 23:04 UTC by Jonas Nyman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-02 21:15:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonas Nyman 2006-03-28 23:04:11 UTC
Description of problem: The calculator in FC5; gcalctool, galculator or
gdeskcal, whatever it's called... Can not handle complex numbers. 


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Try to calculate sqrt(-9) or (1+i)*(2-2i)...
2.
3.
  
Actual results:
It is impossible to even type complex numbers in the calc.

Expected results:
3i and 4 respectively

Additional info:
The calculator uses the incorrect "inverted sine", "inverted cosine" when it
actually means "arcus sinus" and "arcus cosinus"... But that's another story.

Comment 1 Tomas Mraz 2006-03-29 07:03:10 UTC
galculator is Fedora Extras package which doesn't support complex numbers. But
this is not a place to report such enhancement request, please report it
upstream (galculator.sourceforge.net).

gcalctool is a completely different calculator package which is a part of
standard Gnome installation.


Comment 2 Jonas Nyman 2006-07-02 21:15:36 UTC
The bugs are reported to galculator.sourceforge.net. We can close this bug
report here. 


Note You need to log in before you can comment on or make changes to this bug.